Skip to main content
Back to API List Use this API to delete an active SMS campaign for a given stream ID and campaign ID.
MethodDELETE
Endpointhttps://{{host}}agentassist/api/v1/public/{{IId}}/campaign/{{campaignType}}?campaignType=sms
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
IIdThe Application ID.string, required
campaignIdUnique identifier of the campaign to trigger.string, required

Query Parameter

ParameterDescriptionType
campaignTypeType of Campaign. Use "sms"string, required

Sample Request

curl --location --request DELETE 'https://{{host}}/agentassist/api/v1/public/{{botId}}/campaign/{{campaignType}}?campaignType=sms' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--header 'auth: <token>'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
  "status": "success",
  "message": "Campaign Interactive Support SMS Campaign deleted successfully",
  "data": {
    "_id": "cd-3aefda80-f98e-5f4f-ad41-92803abbxxxx",
    "name": "Interactive Support SMS Campaign",
    "lname": "interactive support sms campaign",
    "description": "This campaign sends an SMS with a link or instructions to interact with a Kore.ai bot. Customers can check order status, raise tickets, or get help—all via chat-enabled SMS.",
    "priority": "5",
    "format": "advanced",
    "dialingStrategy": {
      "callerId": {
        "phoneNumber": "+91987654321"
      },
      "callingHours": {
        "frequency": "WEEKLY",
        "timezone": "Asia/Kolkata",
        "days": [
          {
            "day": "MO",
            "start": "9:00 AM",
            "end": "6:00 PM"
          },
          {
            "day": "TU",
            "start": "9:00 AM",
            "end": "6:00 PM"
          },
          {
            "day": "WE",
            "start": "9:00 AM",
            "end": "6:00 PM"
          },
          {
            "day": "TH",
            "start": "9:00 AM",
            "end": "6:00 PM"
          },
          {
            "day": "FR",
            "start": "9:00 AM",
            "end": "6:00 PM"
          }
        ]
      }
    },
    "experienceFlow": "cf-67447605-115e-5dd2-a676-e158cf3bxxxx",
    "status": "Stopped",
    "createdAt": "2025-06-27T09:25:53.320Z",
    "updatedAt": "2025-06-27T09:31:56.940Z",
    "schedule": {
      "isSchedulingEnabled": false,
      "isRecurrenceEnabled": false
    },
    "campaignInstanceId": "cid-xxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "contactLists": [
      "Renewal Due - May/June 2025"
    ]
  }
}

Response Body Parameters

ParameterDescriptionType
statusIndicates the success or failure of the request.string
messageResponse message providing details about the result.string
dataObject containing the SMS campaign details.object
data._idUnique identifier for the campaign. (UUID)string
data.nameDisplay name of the SMS campaign.string
data.lnameLowercase or internal name of the campaign.string
data.descriptionDescription of the campaign objective and functionality.string
data.priorityPriority level of the campaign.number
data.formatFormat of the SMS campaign (for example, basic, advanced).string
data.dialingStrategyObject containing dialing strategy settings.object
data.dialingStrategy.callerId.phoneNumberPhone number used as the caller ID for the SMS campaign.string
data.dialingStrategy.callingHours.frequencyFrequency at which the campaign runs (for example, DAILY, WEEKLY).string
data.dialingStrategy.callingHours.timezoneTime zone used for the campaign’s calling hours.string
data.dialingStrategy.callingHours.daysArray of day-wise calling hour configurations.array
data.dialingStrategy.callingHours.days[].dayDay of the week when the campaign runs. (Enum)string
data.dialingStrategy.callingHours.days[].startStart time for SMS campaign activity on the given day. (Time)string
data.dialingStrategy.callingHours.days[].endEnd time for SMS campaign activity on the given day. (Time)string
data.experienceFlowID of the bot experience flow used in the SMS campaign. (UUID)string
data.statusCurrent status of the campaign (for example, Ready, Stopped).string
data.createdAtISO timestamp when the campaign was created. (ISO 8601)string
data.updatedAtISO timestamp when the campaign was last updated. (ISO 8601)string
data.scheduleObject containing scheduling preferences.object
data.schedule.isSchedulingEnabledIndicates whether scheduling is enabled.boolean
data.schedule.isRecurrenceEnabledIndicates whether recurrence is enabled.boolean
data.campaignInstanceIdUnique identifier for the specific instance of the campaign. (UUID)string
data.contactListsList of contact group names associated with the campaign.array